"""
Common views for analysis types
"""

from django.core.urlresolvers import reverse
from django.http import HttpResponseRedirect

def deactivate(request):
    try:
        del request.session['analysistype']
    except KeyError:
        pass
    if request.META.get('HTTP_REFERER', None):
        return HttpResponseRedirect(request.META['HTTP_REFERER'])
    return HttpResponseRedirect('/')

def scenarios(request):
    at = request.session.get('analysistype', 'deviations')
    return HttpResponseRedirect(reverse('%s_scenarios' % at))

def suggestionlists(request):
    at = request.session.get('analysistype', 'deviations')
    return HttpResponseRedirect(reverse('%s_suggestionlists' % at))
