from django.contrib import admin
from utils.versioning import models as app_models

# No admin needed here

class VersionedModelAdmin(admin.ModelAdmin):
    """
    Base ModelAdmin for versioned model objects
    """
    def save_model(self, request, obj, form, change):
        obj.save(request.user)