from django.conf import settings
from django.utils.translation import ugettext_lazy as _
from utils import tables

class ResultsTable(tables.Table):
    objecttype = tables.Column(
            verbose_name = _('Type'),
            data = lambda x: x.data['objecttype'],
        )
    object = tables.Column(
            verbose_name = _('Object'),
            data = lambda x: x.data['label'],
            link = lambda x: x.data['url'],
        )


